# Описание charts WISTSTORE

Chart запускает сервис магазина для хранения виджетов.


Описание собственных параметров пакета (файл value.yaml)

Переменные контейнера:

| Переменная | Описание, значение по умолчанию |
|----------|----------|
| pg_host | хост БД, 172.17.0.1|
| pg_port | порт БД, 5432 |
| pg_db  | имя БД, wist |
| pg_user | пользователь БД, postgres |
| pg_password | пароль, postgres |
| images.| образы контейнеров |
| images.tag | latest | тег для контейнеров |
| images.pullPolicy | Always | иногда полезно ставить Always, не всегда измененные контейнеры имеют новый тег :) |
| persistence.enabled | признак создания pvc тома для хранения виджетов |
| persistence.size | размер тома, 1Gb |
| persistence.existingClaim| заранее созданный том pv, закомментирован |
| ingress.enabled | признак подключения внешнего прокси , false |
| ingress.*| переменные для развертывания ингреса |
Строка развертывания: 

`helm install <имя инстанса> [-f <имя файла yaml >] stable/wiststore -n <имя namespace>`  , где

* <имя инстанса> - любое имя. имя инстанса будет участвовать в формирвоании имен Pod-ов b services
* <имя файла yaml > - путь к файлу с начальными значениями
* stable - репозиторий, предварительно подключенный (см. описание на первой странице проекта)
* wiststore - имя пакета 

Пример: 
`helm install store --set persistence.enabled=false stable/wiststore -n common`

При изменении начальных значений необхдимо провести upgrade инстанса:
`kubectl.exe set image deployment/<имя deploy> <имя deploy>=registry.infsys.ru/iss/<имя контейнера>:%TAG_HANDLER% -n %NAMESPACE% --record`
stateful обновляется проще:
`helm upgrade <имя инстанса> [-f <имя файла yaml >] sem-next/weather -n <имя namespace>`

Удаление инстанса выполняется командой: 

`helm uninstall <имя инстанса> -n <имя namespace>`

